org.mariadb.jdbc.internal.common.query

## Interface Query

All Known Subinterfaces:
  ParameterizedQuery

All Known Implementing Classes:
  MySQLParameterizedQuery, MySQLQuery

    public interface Query

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getQuery()`
`QueryType` `getQueryType()`
`void` `validate()`
`void` `writeFirstRewritePart(OutputStream os)`
`void` `writeLastRewritePart(OutputStream os)`
`void` `writeTo(OutputStream os)`
`void` `writeToRewritablePart(OutputStream os, int rewriteOffset)`

### Method Detail

#### getQuery

    String getQuery()

#### writeTo

    void writeTo(OutputStream os)
          throws IOException,
                 QueryException

Throws:
  `IOException`
  `QueryException`

#### writeFirstRewritePart

    void writeFirstRewritePart(OutputStream os)
                        throws IOException,
                               QueryException

Throws:
  `IOException`
  `QueryException`

#### writeLastRewritePart

    void writeLastRewritePart(OutputStream os)
                       throws IOException,
                              QueryException

Throws:
  `IOException`
  `QueryException`

#### writeToRewritablePart

    void writeToRewritablePart(OutputStream os,
                               int rewriteOffset)
                        throws IOException,
                               QueryException

Throws:
  `IOException`
  `QueryException`

#### getQueryType

    QueryType getQueryType()

#### validate

    void validate()
           throws QueryException

Throws:
  `QueryException`